# Northern anchovy stock assessment for 2021-22 management (Mar 2020)																				
# Control file																									
#			
1  # 0 means do not read wtatage.ss; 1 means read and use wtatage.ss and also read and use growth parameters
1  #_N_Growth_Patterns
1 #_N_platoons_Within_GrowthPattern 
#_Cond 1 #_Morph_between/within_stdev_ratio (no read if N_morphs=1)
#_Cond  1 #vector_Morphdist_(-1_in_first_val_gives_normal_approx)
#
4 # recr_dist_method for parameters:  2=main effects for GP, Area, Settle timing; 3=each Settle entity; 4=none (only when N_GP*Nsettle*pop==1)
1 # not yet implemented; Future usage: Spawner-Recruitment: 1=global; 2=by area
1 #  number of recruitment settlement assignments 
0 # unused option
#GPattern month  area  age (for each settlement assignment)
1 1 1 0
#
#_Cond 0 # N_movement_definitions goes here if Nareas > 1
#_Cond 1.0 # first age that moves (real age at begin of season, not integer) also cond on do_migration>0
#_Cond 1 1 1 2 4 10 # example move definition for seas=1, morph=1, source=1 dest=2, age1=4, age2=10
#
6 #_Nblock_Patterns
1 2 4 5 4 1 #_blocks_per_pattern 
# begin and end years of blocks
2014 2014

2017 2017 #Q for 2017 where survey didn't get south of Pt. Conception
2018 2020

#Block 3: TV AT
2016 2016
2017 2017
2018 2018
2019 2019

#Block 4: MexCal_S1 Fishery age selectivities
2016 2016
2017 2017
2018 2018
2019 2019
2020 2020

#Block 5: MexCal_S2 Fishery age selectivities
2017 2017
2018 2018
2019 2019
2020 2020

#Block 6: AT Spring
2020 2020
#
# controls for all timevary parameters 
1 #_env/block/dev_adjust_method for all time-vary parms (1=warn relative to base parm bounds; 3=no bound check)
#
# AUTOGEN
1 1 1 1 1 # autogen: 1st element for biology, 2nd for SR, 3rd for Q, 4th reserved, 5th for selex
# where: 0 = autogen all time-varying parms; 1 = read each time-varying parm line; 2 = read then autogen if parm min==-12345
#
#_Available timevary codes
#_Block types: 0: P_block=P_base*exp(TVP); 1: P_block=P_base+TVP; 2: P_block=TVP; 3: P_block=P_block(-1) + TVP
#_Block_trends: -1: trend bounded by base parm min-max and parms in transformed units (beware); -2: endtrend and infl_year direct values; -3: end and infl as fraction of base range
#_EnvLinks:  1: P(y)=P_base*exp(TVP*env(y));  2: P(y)=P_base+TVP*env(y);  3: null;  4: P(y)=2.0/(1.0+exp(-TVP1*env(y) - TVP2))
#_DevLinks:  1: P(y)*=exp(dev(y)*dev_se;  2: P(y)+=dev(y)*dev_se;  3: random walk;  4: zero-reverting random walk with rho;  21-24 keep last dev for rest of years
#
# setup for M, growth, maturity, fecundity, recruitment distibution, movement 
#
0 #_natM_type:_0=1Parm; 1=N_breakpoints;_2=Lorenzen;_3=agespecific;_4=agespec_withseasinterpolate
#_no additional input for selected M option; read 1P per morph
#
1 # GrowthModel: 1=vonBert with L1&L2; 2=Richards with L1&L2; 3=age_specific_K_incr; 4=age_specific_K_decr; 5=age_specific_K_each; 6=NA; 7=NA; 8=growth cessation
0.5 #_Age(post-settlement)_for_L1;linear growth below this
999 #_Growth_Age_for_L2 (999 to use as Linf)
-999 #_exponential decay for growth above maxage (value should approx initial Z; -999 replicates 3.24; -998 to not allow growth above maxage)
0 #_placeholder for future growth feature
#
0 #_SD_add_to_LAA (set to 0.1 for SS2 V1.x compatibility)
0 #_CV_Growth_Pattern:  0 CV=f(LAA); 1 CV=F(A); 2 SD=F(LAA); 3 SD=F(A); 4 logSD=F(A)
#
4 #_maturity_option:  1=length logistic; 2=age logistic; 3=read age-maturity matrix by growth_pattern; 4=read age-fecundity; 5=disabled; 6=read length-maturity
0.726 .931 .985 .997 #.999  

#_Age_Fecundity by growth pattern from wt-at-age.ss now invoked by read bodywt flag
0 #_First_Mature_Age
1 #_fecundity option:(1)eggs=Wt*(a+b*Wt);(2)eggs=a*L^b;(3)eggs=a*Wt^b; (4)eggs=a+b*L; (5)eggs=a+b*W
0 #_hermaphroditism option:  0=none; 1=female-to-male age-specific fxn; -1=male-to-female age-specific fxn
1 #_parameter_offset_approach (1=none, 2= M, G, CV_G as offset from female-GP1, 3=like SS2 V1.x)
#
#_growth_parms
#_ LO HI INIT PRIOR PR_SD PR_type PHASE env_var&link dev_link dev_minyr dev_maxyr dev_PH Block Block_Fxn
# Sex: 1  BioPattern: 1  NatMort
 0.2 1.5 0.567 0 99 0  2 0 0 0 0 0 0 0 # NatM_p_1_Fem_GP_1

# Sex: 1  BioPattern: 1  Growth
5 12 9 0 99 0  -3 0 0 0 0 0 0 0 # L_at_Amin_Fem_GP_1
11 20 16.1 0 99 0  -3 0 0 0 0 0 0 0 # L_at_Amax_Fem_GP_1
0.05 1 0.215 0 99 0  -3 0 0 0 0 0 0 0 # VonBert_K_Fem_GP_1
0.1 1 0.15 0 99 0  -3 0 0 0 0 0 0 0 # CV_young_Fem_GP_1
0.05 1 0.15 0 99 0  -3 0 0 0 0 0 0 0 # CV_old_Fem_GP_1
# Sex: 1  BioPattern: 1  WtLen
-3 3 0.000011 0 99 0 -3 0 0 0 0 0 0 0 # Wtlen_1_Fem_GP_1
-3 5 2.988 0 99 0 -3 0 0 0 0 0 0 0 # Wtlen_2_Fem_GP_1
# Sex: 1  BioPattern: 1  Maturity&Fecundity
-1 19 -.24 0 99 0 -3 0 0 0 0 0 0 0 # Mat50%_Fem_GP_1
-20 3 1.61 0 99 0 -3 0 0 0 0 0 0 0 # Mat_slope_Fem_GP_1
0 5  1  0 99 0 -3 0 0 0 0 0 0 0 # Eggs/kg_inter_Fem_GP_1 #29 eggs per gram, 29000 eggs/kg
-1 5 0 0 99 0 -3 0 0 0 0 0 0 0 # Eggs/kg_slope_wt_Fem_GP_1
# Hermaphroditism
# Recruitment Distribution  
# -4 4 0 0 99 0 -3 0 0 0 0 0 0 0 # RecrDist_GP_1
# -4 4 1 0 99 0 -3 0 0 0 0 0 0 0 # RecrDist_Area_1
# -4 4 1 0 99 0 -3 0 0 0 0 0 0 0 # RecrDist_timing_1
# Cohort growth dev base
0.1 10 1 1 1 0 -1 0 0 0 0 0 0 0 # CohortGrowDev
#  Movement
#  Age Error from parameters
#  catch multiplier
#  fraction female, by GP
0.001 0.999 0.5 0.5 0.5 0 -99 0 0 0 0 0 0 0 # FracFemale_GP_1
#
#_no timevary MG parameters
#

#_seasonal_effects_on_biology_parms
0 0 0 0 0 0 0 0 0 0 #_femwtlen1,femwtlen2,mat1,mat2,fec1,fec2,Malewtlen1,malewtlen2,L1,K
#_ LO HI INIT PRIOR PR_SD PR_type PHASE
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no seasonal MG parameters
#
3 #_Spawner-Recruitment; Options: 2=Ricker; 3=std_B-H; 4=SCAA; 5=Hockey; 6=B-H_flattop; 7=survival_3Parm; 8=Shepherd_3Parm; 9=RickerPower_3parm
0  # 0/1 to use steepness in initial equ recruitment calculation
0  #  future feature:  0/1 to make realized sigmaR a function of SR curvature
#           LO            HI          INIT         PRIOR         PR_SD       PR_type      PHASE    env-var    use_dev   dev_mnyr   dev_mxyr     dev_PH      Block    Blk_Fxn # Parm_name
             3            30         19.1704          0            0              0          1          0          0          0          0          0          0          0  # SR_LN(R0)
           0.2             1           .6             0            0              0         -5          0          0          0          0          0          0          0  # SR_BH_steep
             0             2            1             0            0              0         -3          0          0          0          0          0          0          0  # SR_sigmaR
           -15            15            0             0            0              0         -1          0          0          0          0          0          1          2  # SR_regime
             0             0            0             0            0              0         -3          0          0          0          0          0          0          0  # SR_autocorr
#Next are short parm lines for timevary 
 -15 15 -2.36 0 7.5 6 4 # SR_regime_BLK1add_2018
1 #do_recdev:  0=none; 1=devvector (R=F(SSB)+dev); 2=deviations (R=F(SSB)+dev); 3=deviations (R=R0*dev; dev2=R-f(SSB)); 4=like 3 with sum(dev2) adding penalty
2015 # first year of main recr_devs; early devs can preceed this era
2022 # last year of main recr_devs; forecast devs start in following year
1 #_recdev phase 
1 # (0/1) to read 13 advanced options
-5 #_recdev_early_start (0=none; neg value makes relative to recdev_start)
2 #_recdev_early_phase
0 #_forecast_recruitment phase (incl. late recr) (0 value resets to maxphase+1)
1 #_lambda for Fcast_recr_like occurring before endyr+1
2012.9   #_last_early_yr_nobias_adj_in_MPD 
2014.4   #_first_yr_fullbias_adj_in_MPD 
2018.4   #_last_yr_fullbias_adj_in_MPD 
2020.6   #_first_recent_yr_nobias_adj_in_MPD 
0.8499  #_max_bias_adj_in_MPD (1.0 to mimic pre-2009 models) 

0 #_period of cycles in recruitment (N parms read below)
-5 #min rec_dev
5 #max rec_dev
0 #_read_recdevs
#_end of advanced SR options
#
#_placeholder for full parameter lines for recruitment cycles
# read specified recr devs
#_Yr Input_value
#
# all recruitment deviations
# 1999E 2000E 2001E 2002E 2003E 2004E 2005R 2006R 2007R 2008R 2009R 2010R 2011R 2012R 2013R 2014R 2015R 2016R 2017R 2018F 2019F
# -0.290933 -0.332891 -0.382018 0.116587 1.0261 0.237719 1.4898 1.3651 0.67474 1.32069 1.42807 -1.02576 -2.42286 -2.00981 -0.0673815 -0.555419 -0.508844 -0.333883 0.645574 0 0
# implementation error by year in forecast:  0
#
# Fishing Mortality info 
0.1 # F ballpark
-2006 # F ballpark year (neg value to disable)
3 # F_Method:  1=Pope; 2=instan. F; 3=hybrid (hybrid is recommended)
4 # max F or harvest rate, depends on F_Method
# no additional F input needed for Fmethod 1
# if Fmethod=2; read overall start F value; overall phase; N detailed inputs to read
# if Fmethod=3; read N iterations for tuning for Fmethod 3
10  # N iterations for tuning F in hybrid method (recommend 3 to 7)
#
#_initial_F_parms; count = 1
#_ LO HI INIT PRIOR PR_SD  PR_type  PHASE
    0  25    8.8      0    99       0 1 # InitF_seas_1_flt_1MexCal_S1
#    0  15     0.05      0    99       0 1 # InitF_seas_1_flt_1MexCal_S1
# 2019 2074
# F rates by fleet
#
#_Q_setup for fleets with cpue or survey data
#_1:  fleet number
#_2:  link type: (1=simple q, 1 parm; 2=mirror simple q, 1 mirrored parm; 3=q and power, 2 parm; 4=mirror with offset, 2 parm)
#_3:  extra input for link, i.e. mirror fleet# or dev index number
#_4:  0/1 to select extra sd parameter
#_5:  0/1 for biasadj or not
#_6:  0/1 to float
#_   fleet      link link_info  extra_se   biasadj     float  # fleetname
         3         1         0         0         0         0  # AT
         4         1         0         1         0         0  # CalCOFI
         5         1         0         1         0         0  # RREAS_YOY
         6         1         0         1         0         0  # CalCOFI_eggs
         7         1         0         0         0         0  # AT_Spring
-9999 0 0 0 0 0
#
#_Q_parms(if_any);Qunits_are_ln(q)
#_          LO            HI          INIT         PRIOR         PR_SD       PR_type      PHASE    env-var    use_dev   dev_mnyr   dev_mxyr     dev_PH      Block    Blk_Fxn  #  parm_name                 
            -3             3           -0.0726            0            99             0         -2          0          0          0          0          0          0          0  #  LnQ_base_AT

           -25            25       -9.37236            0             1             0         -1          0          0          0          0          0          0          0  #  LnQ_base_CALCOFI(4)
             0             1       0.183117            0            99             0         -2          0          0          0          0          0          0          0  #  Q_extraSD_CALCOFI(4)

           -25            25       -9.37236            0             1             0         -1          0          0          0          0          0          0          0  #  LnQ_base_RREAS_YOY(5)
             0             1       0.183117            0            99             0         -2          0          0          0          0          0          0          0  #  Q_extraSD_RREAS_YOY(5)

           -25            25       -9.37236            0             1             0          -1          0          0          0          0          0          0          0  #  LnQ_base_CALCOFI_eggs(6)
             0             1       0.183117            0            99             0          -2          0          0          0          0          0          0          0  #  Q_extraSD_CALCOFI_eggs(6)

            -3             3             -0.547            0            99             0         -2          0          0          0          0          0          6          2  #  LnQ_base_AT_spring
        


#_no timevary Q parameters
#
#0 3 -0.8 0 99 0 -1 # Q block
0 3 -0.545 0 99 0 -1 # Q block

#_size_selex_patterns
#Pattern:_0; parm=0; selex=1.0 for all sizes
#Pattern:_1; parm=2; logistic; with 95% width specification
#Pattern:_5; parm=2; mirror another size selex; PARMS pick the min-max bin to mirror
#Pattern:_15; parm=0; mirror another age or length selex
#Pattern:_6; parm=2+special; non-parm len selex
#Pattern:_43; parm=2+special+2;  like 6, with 2 additional param for scaling (average over bin range)
#Pattern:_8; parm=8; New doublelogistic with smooth transitions and constant above Linf option
#Pattern:_9; parm=6; simple 4-parm double logistic with starting length; parm 5 is first length; parm 6=1 does desc as offset
#Pattern:_21; parm=2+special; non-parm len selex, read as pairs of size, then selex
#Pattern:_22; parm=4; double_normal as in CASAL
#Pattern:_23; parm=6; double_normal where final value is directly equal to sp(6) so can be >1.0
#Pattern:_24; parm=6; double_normal with sel(minL) and sel(maxL), using joiners
#Pattern:_25; parm=3; exponential-logistic in size
#Pattern:_27; parm=3+special; cubic spline 
#Pattern:_42; parm=2+special+3; // like 27, with 2 additional param for scaling (average over bin range)
#_discard_options:_0=none;_1=define_retention;_2=retention&mortality;_3=all_discarded_dead;_4=define_dome-shaped_retention
#_Pattern Discard Male Special
0 0 0 0 # 1 MexCal
0 0 0 1 # 2 MexCalS2
0 0 0 0 # 3 AT
0 0 0 0 # 4 CalCOFI
0 0 0 0 # 5 RREAS_YOY
0 0 0 0 # 6 CalCOFI_eggs
0 0 0 0 # 3 AT
#30 0 0 0 # 3 DEPM
#
#_age_selex_patterns
#Pattern:_0; parm=0; selex=1.0 for ages 0 to maxage
#Pattern:_10; parm=0; selex=1.0 for ages 1 to maxage
#Pattern:_11; parm=2; selex=1.0  for specified min-max age
#Pattern:_12; parm=2; age logistic
#Pattern:_13; parm=8; age double logistic
#Pattern:_14; parm=nages+1; age empirical
#Pattern:_15; parm=0; mirror another age or length selex
#Pattern:_16; parm=2; Coleraine - Gaussian
#Pattern:_17; parm=nages+1; empirical as random walk  N parameters to read can be overridden by setting special to non-zero
#Pattern:_41; parm=2+nages+1; // like 17, with 2 additional param for scaling (average over bin range)
#Pattern:_18; parm=8; double logistic - smooth transition
#Pattern:_19; parm=6; simple 4-parm double logistic with starting age
#Pattern:_20; parm=6; double_normal,using joiners
#Pattern:_26; parm=3; exponential-logistic in age
#Pattern:_27; parm=3+special; cubic spline in age
#Pattern:_42; parm=2+special+3; // cubic spline; with 2 additional param for scaling (average over bin range)
#_Pattern Discard Male Special
17 0 0 3 # 1 MexCal
17 0 0 3 # 2 MexCal_S2
17 0 0 1 # 3 AT #Try with selectivity of 1 at age 0
 0 0 0 0 # 4 CalCOFI
 0 0 0 0 # 5 RREAS_YOY
 0 0 0 0 # 6 CalCOFI_eggs
17 0 0 1 # 3 AT #Try with selectivity of 1 at age 0
#
#_          LO            HI          INIT         PRIOR         PR_SD       PR_type      PHASE    env-var    use_dev   dev_mnyr   dev_mxyr     dev_PH      Block    Blk_Fxn  #  parm_name
# 1 MexCal LenSelex
#             0            30       10.7316             0            99             0          3          0          0          0          0          0          0          0  #  Size_inflection_MexCal_S1(1)
#             0            10      0.704209             0            99             0          3          0          0          0          0          0          0          0  #  Size_95%width_MexCal_S1(1)
# 2 AT LenSelex
# 3 DEPM (Form=30, no parameter lines)
# 1 MexCal AgeSelex (Form=10, no parameter lines)
# 1 MexCal AgeSelex (Form=17)
            -5             9             2             0             0             0         -2          0          0          0          0          0          0          0  #  AgeSel_P1_MexCal_S1(1)
            -5             9       1.84489             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P2_MexCal_S1(1)
            -5             9     -0.910976             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P3_MexCal_S1(1)
            -5             9       1.88188             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P4_MexCal_S1(1)
#            -5             9      -0.70             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P5_MexCal_S1(1)

# 2   MexCal_S2 AgeSelex
            -5             9             2             0             0             0         -2          0          0          0          0          0          0          0  #  AgeSel_P1_MexCal_S2(2)
            -5             9       1.45741             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P2_MexCal_S2(2)
            -5             9      0.633             0             0             0          2          0          0          0          0          0             0          0  #  AgeSel_P3_MexCal_S2(2)
            -5             9      -0.91229             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P4_MexCal_S2(2)
 #           -5             9      -0.690             0             0             0          2          0          0          0          0          0          0          0  #  AgeSel_P5_MexCal_S2(2)

# 3   AT_Summer AgeSelex
             0             9             0            -1            99             0         -3          0          0          0          0          0          0          0  #  AgeSel_P1_AT(3)
             0             9   0.000634143            -1            99             0          4          0          0          0          0          0          3          2  #  AgeSel_P2_AT(3)

# 7   AT_Spring AgeSelex
             0             9             0            -1            99             0         -3          0          0          0          0          0          0          0  #  AgeSel_P1_AT(3)
             0             9   0.000634143            -1            99             0          4          0          0          0          0          0          6          2  #  AgeSel_P2_AT(3)
#
# 2 AT AgeSelex (Form=10, no parameter lines)
#            -5             9             0            0            0             0         -2          0          0          0          0          0          0          0  #  AgeSel_P1_AT (2)
#            -5             9             1            0            0             0          2          0          0          0          0          0          0          0  #  AgeSel_P2_AT (2)
#            -5             9             1            0            0             0          2          0          0          0          0          0          0          0  #  AgeSel_P3_AT (2)
#            -5             9             1            0            0             0          2          0          0          0          0          0          0          0  #  AgeSel_P4_AT (2)
#            -5             9         -1000            0            0             0         -2          0          0          0          0          0          0          0  #  AgeSel_P5_AT (2)
#
# 0 41 0.1 0.1 -1 99 -2 0 0 0 0 0.5 0 0 # AgeSel_7P_1_CalCOFI
# 0 41 34 34 -1 99 -2 0 0 0 0 0.5 0 0 # AgeSel_7P_2_CalCOFI
#_timevary selex parameters
 
             0             9           1.67            -1            99             0      4  # AgeSel_P2_AT(3)_BLK3repl_2016
             0             9           1.8            -1            99             0      4  # AgeSel_P2_AT(3)_BLK3repl_2017
             0             9           0.002          -1            99             0      4  # AgeSel_P2_AT(3)_BLK3repl_2018
             0             9           0.002          -1            99             0      4  # AgeSel_P2_AT(3)_BLK3repl_2018
             #0             9           0.00002        -1            99             0      4  # AgeSel_P2_AT(3)_BLK3repl_2019

             0             9           0.907          -1            99             0      4  # AgeSel_P2_AT(3)_BLK3repl_2020
#

#
1 # use 2D_AR1 selectivity(0/1):  experimental feature
#_no 2D_AR1 selex offset used
1  2016     2020       0         3           0        1       2       3                  0      0       #      2d_AR  specs  for  fleet:  FISHERY1              
0.001 2  1 0.1 0.5 6 -3  # sigma_sel for fleet, age/size:  1 3
-0.8 0.8 0.0 0.3 0.5 6 -3  # rho_year for fleet:  1
-0.8 0.8 0.0 0.3 0.5 6 -3  # rho_age for fleet:  1

2  2016     2020       0         3           0        1       2       3                  0      0       #      2d_AR  specs  for  fleet:  FISHERY1              
0.001 2  1 0.1 0.5 6 -3  # sigma_sel for fleet, age/size:  1 3
-0.8 0.8 0.0 0.3 0.5 6 -3  # rho_year for fleet:  1
-0.8 0.8 0.0 0.3 0.5 6 -3  # rho_age for fleet:  1

-9999  0 0 0 0 0 0 0 0 0 0 # terminator
# Tag loss and Tag reporting parameters go next
0  # TG_custom:  0=no read; 1=read if tags exist
#_Cond -6 6 1 1 2 0.01 -4 0 0 0 0 0 0 0  #_placeholder if no parameters
#
# deviation vectors for timevary parameters
# base   base first block   block  env  env   dev   dev   dev   dev   dev
# type  index  parm trend pattern link  var  vectr link _mnyr  mxyr phase  dev_vector
# 2     4     1     1     1     0     0     0     0     0     0     0
#
# Input variance adjustments factors: 
#_1=add_to_survey_CV
#_2=add_to_discard_stddev
#_3=add_to_bodywt_CV
#_4=mult_by_lencomp_N
#_5=mult_by_agecomp_N
#_6=mult_by_size-at-age_N
#_7=mult_by_generalized_sizecomp
#_Factor  Fleet  Value
-9999 1 0 # terminator
#
1 #_maxlambdaphase
1 #_sd_offset; must be 1 if any growthCV, sigmaR, or survey extraSD is an estimated parameter
# read 9 changes to default Lambdas (default value is 1.0)
# Like_comp codes:  1=surv; 2=disc; 3=mnwt; 4=length; 5=age; 6=SizeFreq; 7=sizeage; 8=catch; 9=init_equ_catch; 
# 10=recrdev; 11=parm_prior; 12=parm_dev; 13=CrashPen; 14=Morphcomp; 15=Tag-comp; 16=Tag-negbin; 17=F_ballpark; 18=initEQregime

#like_comp fleet  phase  value  sizefreq_method
1             3      1       1       1
1             4      1       0       1
1             5      1       0       1
1             6      1       0       1
1             7      1       1       1
4             1      1       0       1
4             2      1       0       1
4             3      1       0       1
5             1      1       1       1
5             2      1       1       1
5             3      1       1       1
5             7      1       1       1
8             1      1       1       1
8             2      1       1       1
8             3      1       0       1
9             1      1       0       1
9             2      1       0       1
11            1      1       0       1
11            2      1       0       1
11            3      1       0       1
18            1      1       0       1
18            2      1       0       1
18            3      1       0       1
18            4      1       0       1
18            5      1       0       1
18            6      1       0       1
-9999 1 1 1 1 # terminator
#
# lambdas (for info only; columns are phases)
# 0 #_CPUE/survey:_1
# 0 #_CPUE/survey:_2
# 0 #_CPUE/survey:_3
# 1 #_CPUE/survey:_4
# 0 #_lencomp:_1
# 0 #_lencomp:_2
# 0 #_lencomp:_3
# 0 #_lencomp:_4
# 1 #_agecomp:_1
# 1 #_agecomp:_2
# 1 #_agecomp:_3
# 1 #_agecomp:_4
# 0 #_init_equ_catch
# 1 #_recruitments
# 1 #_parameter-priors
# 1 #_parameter-dev-vectors
# 1 #_crashPenLambda
# 0 # F_ballpark_lambda
0 # (0/1) read specs for more stddev reporting 
# 0 0 0 0 0 0 0 0 0 # placeholder for # selex_fleet, 1=len/2=age/3=both, year, N selex bins, 0 or Growth pattern, N growth ages, 0 or NatAge_area(-1 for all), NatAge_yr, N Natages
# placeholder for vector of selex bins to be reported
# placeholder for vector of growth ages to be reported
# placeholder for vector of NatAges ages to be reported
999